> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maadify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Parent Agent Type

> Create a tenant-scoped parent agent type.



## OpenAPI

````yaml /api-reference/openapi.json post /api/parent_agent_types
openapi: 3.1.0
info:
  title: Maadify API
  description: Public and admin API endpoints for Maadify.
  version: 1.0.0
servers:
  - url: https://app.maadify.com
    description: Production
security: []
tags:
  - name: Parent agents
    description: Create, update, and configure parent agents.
  - name: Sub-agents
    description: Create sub-agents and assign them to parent agents.
  - name: Tools
    description: Search tools and manage tool assignments.
  - name: Prompt templates
    description: Search and manage prompt templates.
  - name: Users
    description: Search users available to the authenticated tenant.
  - name: Models
    description: Search available LLM models.
  - name: Files
    description: Check file upload status.
paths:
  /api/parent_agent_types:
    post:
      tags:
        - Parent agents
      summary: Create Parent Agent Type
      description: Create a tenant-scoped parent agent type.
      operationId: create_parent_agent_type_endpoint_api_parent_agent_types_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ParentAgentTypeCreateRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParentAgentTypeSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ParentAgentTypeCreateRequest:
      properties:
        parent_agent_type_name:
          type: string
          minLength: 1
          title: Parent Agent Type Name
          description: Human-readable parent agent type name.
        description:
          type: string
          minLength: 1
          title: Description
          description: >-
            Description that explains when this parent agent type should be
            used.
      type: object
      required:
        - parent_agent_type_name
        - description
      title: ParentAgentTypeCreateRequest
    ParentAgentTypeSearchResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the request was successful.
        error_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Type
          description: Type of error if the request failed.
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message or informational message.
        data:
          $ref: '#/components/schemas/ParentAgentTypeSearchData'
          description: Parent agent type search results.
      type: object
      required:
        - success
        - data
      title: ParentAgentTypeSearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ParentAgentTypeSearchData:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ParentAgentTypeListItem'
          type: array
          title: Items
          description: Parent agent types matching the request.
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
          description: Total matching records when available.
      type: object
      title: ParentAgentTypeSearchData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParentAgentTypeListItem:
      properties:
        parent_agent_type_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Agent Type Key
          description: Parent agent type key.
        parent_agent_type_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Agent Type Name
          description: Human-readable parent agent type name.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Agent type description.
        tenant:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant
          description: Tenant-specific owner. Null means system-wide.
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
          description: Creation timestamp.
      type: object
      title: ParentAgentTypeListItem
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````